Newegg product offers
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-newegg-products-offers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product": "N82E16820147903",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-newegg-products-offers"
payload = {
"product": "N82E16820147903",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product: 'N82E16820147903', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-newegg-products-offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "newegg_product_offers",
"product": "N82E16820147903",
"product_id": "N82E16820147903",
"max_items": 2,
"human": "# Newegg product offers\n\n- **Product:** N82E16820147903\n- **Max items:** 2\n- **Offers returned:** 2 (of 14 available)\n- **Proxy traffic:** 360.1 KB",
"machine": {
"total_items": 2,
"total_available": 14,
"first_item": {
"id": "9SIC0X3KPS7946",
"url": "https://www.newegg.com/p/9SIC0X3KPS7946",
"seller": {
"id": "C0X3",
"name": "MobileMonster",
"alias": "MobileMonster",
"rating": 4.7,
"review_count": 72,
"is_top_rated": true
},
"price": 398,
"currency": "USD",
"shipping": 0,
"instant_rebate": null,
"condition": "New",
"ships_from": "United States",
"is_in_stock": true
},
"items": [
{
"id": "9SIC0X3KPS7946",
"url": "https://www.newegg.com/p/9SIC0X3KPS7946",
"seller": {
"id": "C0X3",
"name": "MobileMonster",
"alias": "MobileMonster",
"rating": 4.7,
"review_count": 72,
"is_top_rated": true
},
"price": 398,
"currency": "USD",
"shipping": 0,
"instant_rebate": null,
"condition": "New",
"ships_from": "United States",
"is_in_stock": true
},
{
"id": "9SIABT1M4K6661",
"url": "https://www.newegg.com/p/9SIABT1M4K6661",
"seller": {
"id": "ABT1",
"name": "DealsADay",
"alias": "DealsADay",
"rating": 4.6,
"review_count": 624,
"is_top_rated": true
},
"price": 398.85,
"currency": "USD",
"shipping": 0,
"instant_rebate": null,
"condition": "New",
"ships_from": "United States",
"is_in_stock": true
}
],
"proxy_traffic_bytes": 368755
},
"total_points": 2
}E-commerce & Marketplaces
Newegg product offers
Every marketplace buying option for a Newegg product: seller, price, shipping, condition and ships-from. 1 point per returned record.
POST
/
functions
/
v1
/
run-newegg-products-offers
Newegg product offers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.